Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.clearspace
Enum ClearspaceManager.HttpType

    java.lang.Object
      java.lang.Enum<ClearspaceManager.HttpType>
          org.jivesoftware.openfire.clearspace.ClearspaceManager.HttpType

All Implemented Interfaces:
  Serializable, Comparable<ClearspaceManager.HttpType>

Enclosing class:
  ClearspaceManager

    public static enum ClearspaceManager.HttpType

extends Enum<ClearspaceManager.HttpType>

Different kind of HTTP request types

Enum Constant Summary
`DELETE` Represents an HTTP Delete request.
`GET` Represents an HTTP Get request.
`POST` Represents an HTTP Post request.
`PUT` Represents an HTTP Put requests.And it's equivalent to a SQL CREATE.

Method Summary
`static ClearspaceManager.HttpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClearspaceManager.HttpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final ClearspaceManager.HttpType GET

  Represents an HTTP Get request. And it's equivalent to a SQL SELECTE.

### POST

    public static final ClearspaceManager.HttpType POST

  Represents an HTTP Post request. And it's equivalent to a SQL UPDATE.

### DELETE

    public static final ClearspaceManager.HttpType DELETE

  Represents an HTTP Delete request. And it's equivalent to a SQL DELETE.

### PUT

    public static final ClearspaceManager.HttpType PUT

  Represents an HTTP Put requests.And it's equivalent to a SQL CREATE.

Method Detail

### values

    public static final ClearspaceManager.HttpType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ClearspaceManager.HttpType c : ClearspaceManager.HttpType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ClearspaceManager.HttpType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.